Name:           perl-Dist-Zilla-Plugin-Config-Git
Version:        0.92
Release:        6%{?dist}
Summary:        Dist::Zilla configuration for a Git repository
License:        Artistic 2.0
URL:            https://metacpan.org/release/Dist-Zilla-Plugin-Config-Git
Source0:        https://cpan.metacpan.org/authors/id/B/BB/BBYRD/Dist-Zilla-Plugin-Config-Git-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(:VERSION) >= 5.10.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Dist::Zilla::Role::Plugin) >= 1.000
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moose) >= 0.34
BuildRequires:  perl(Moose::Role)
BuildRequires:  perl(MooseX::Types) >= 0.06
BuildRequires:  perl(MooseX::Types::Moose)
BuildRequires:  perl(namespace::clean) >= 0.06
BuildRequires:  perl(String::Errf) >= 0.001
# Tests:
BuildRequires:  perl(blib)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::More) >= 0.94
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Dist::Zilla::Role::Plugin) >= 1.000
Requires:       perl(Moose) >= 0.34
Requires:       perl(MooseX::Types) >= 0.06
Requires:       perl(namespace::clean) >= 0.06
Requires:       perl(String::Errf) >= 0.001

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((Moose|MooseX::Types|namespace::clean|String::Errf)\\)$

%description
This is a Dist::Zilla configuration plugin for Git repository/branch
information.

%prep
%setup -q -n Dist-Zilla-Plugin-Config-Git-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Jitka Plesnikova <jplesnik@redhat.com> - 0.92-5
- Perl 5.28 rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.92-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 06 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.92-2
- Perl 5.26 rebuild

* Thu Mar 23 2017 Petr Pisar <ppisar@redhat.com> 0.92-1
- Specfile autogenerated by cpanspec 1.78.
